Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 51)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 52)
@@ -18,6 +18,30 @@
 {
     partial class FrmDRWork
     {
+        #region 個人データ取得
+        /// <summary>
+        /// 個人データ取得
+        /// </summary>
+        private void SetAttendanceCosts()
+        {
+            try
+            {
+                // ガソリン代（1キロ）
+                m_FuelCost = 20;
+                // 事務所距離
+                m_MyOfficeDistance = 10;
+                // 資材置場距離
+                m_MyWareHouseDistance = 15;
+                // 通勤交通費（公認分）
+                m_MyTransportCosts = 100;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 画面サイズ変更時のセルサイズ変更
         /// <summary>
         /// 画面サイズ変更時のセルサイズ変更
@@ -64,6 +88,28 @@
                 // 残業時間
                 m_DspControl[(int)DspCtrlName.Overtime] = label13;
 
+                m_DspControl[(int)DspCtrlName.KmTodayTotal] = lblKM;
+                m_DspControl[(int)DspCtrlName.OfficeTodayCnt01] = lblCount01;
+                m_DspControl[(int)DspCtrlName.OfficeTodayCnt02] = lblCount02;
+                m_DspControl[(int)DspCtrlName.TrancePayCnt01] = lblCount03;
+                m_DspControl[(int)DspCtrlName.TrancePayCnt02] = lblCount04;
+                m_DspControl[(int)DspCtrlName.WarehouseTodayCnt01] = lblCount05;
+                m_DspControl[(int)DspCtrlName.KmMonthTotal01] = lblDspKm1;
+                m_DspControl[(int)DspCtrlName.KmMonthTotal02] = lblDspKm2;
+                m_DspControl[(int)DspCtrlName.KmMonthTotal03] = lblDspKm3;
+                m_DspControl[(int)DspCtrlName.UnitPrice01] = lblDspCosts1;
+                m_DspControl[(int)DspCtrlName.UnitPrice02] = lblDspCosts2;
+                m_DspControl[(int)DspCtrlName.UnitPrice03] = lblDspCosts3;
+                m_DspControl[(int)DspCtrlName.UnitPrice04] = lblDspCosts4;
+                m_DspControl[(int)DspCtrlName.MonthCnt01] = lblMonthlyCnt01;
+                m_DspControl[(int)DspCtrlName.MonthCnt02] = lblMonthlyCnt02;
+                m_DspControl[(int)DspCtrlName.MonthCnt03] = lblMonthlyCnt03;
+                m_DspControl[(int)DspCtrlName.MonthTotal01] = lblMonthlyTotal01;
+                m_DspControl[(int)DspCtrlName.MonthTotal02] = lblMonthlyTotal02;
+                m_DspControl[(int)DspCtrlName.MonthTotal03] = lblMonthlyTotal03;
+                m_DspControl[(int)DspCtrlName.MonthTotal04] = lblMonthlyTotal04;
+                m_DspControl[(int)DspCtrlName.MonthTotal05] = lblMonthlyTotal05;
+
             }
             catch (Exception ex)
             {
@@ -81,6 +127,7 @@
             foreach (Control wrk in m_DspControl)
             {
                 if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                if (wrk.GetType().Equals(typeof(ComboBoxEX))) continue;
                 wrk.Text = "";
             }
 
@@ -88,32 +135,6 @@
         }
         #endregion
 
-        #region ヘッダー情報表示
-        /// <summary>
-        /// ヘッダー情報表示
-        /// </summary>
-        private bool DispHeader()
-        {
-            try
-            {
-                // 対象年度のセット
-                SetActionMonthly();
-
-                // 対象月の開始～終了日のセット
-
-                return true;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-            }
-        }
-        #endregion
-
         #region 初期処理
         /// <summary>
         /// 初期時データ取得
@@ -126,12 +147,9 @@
                 // 表示クリア
                 ClearDisplay();
 
-                // ヘッダー表示
-                if (!DispHeader()) return;
-
                 // データ表示
-                InitDispData();
-                
+                InitDispData01();
+                InitDispData02();
             }
             catch (Exception ex)
             {
@@ -145,39 +163,46 @@
         }
         #endregion
 
-        #region 
+        #region 日報データ表示
         /// <summary>
-        /// 固定表示の設定
+        /// 日報データ表示
         /// </summary>
         /// <returns></returns>
-        private void InitDispData()
+        private void InitDispData01()
         {
             IOMHolidayCalender calDB = new IOMHolidayCalender();
             try
             {
+                DataGridView dgv = dgvAllDisplay;
+                dgv.Rows.Clear();
+                dgv.ReadOnly = true;
+
                 // 選択年月を取得する
                 string strSelDate = CommonMotions.cnvString(comboBox1.SelectedValue);
                 DateTime WorktDate = CommonMotions.cnvDate((strSelDate + "/1"));
 
+                // 担当者を取得する
+                int PersonCode = GetConstructionPersonCode();
+                if (PersonCode == 0) return;
+                dgv.ReadOnly = false;
+
+                m_HolidayCount = 0;
                 // 月の最終日を求める
-                int monthlyLastDay = DateTime.DaysInMonth(WorktDate.Year, WorktDate.Month);
+                m_LastDays = DateTime.DaysInMonth(WorktDate.Year, WorktDate.Month);
 
                 // 開始日・終了日のセット
                 m_DspControl[(int)DspCtrlName.ConstructionDayFrom].Text = "1";
-                m_DspControl[(int)DspCtrlName.ConstructionDayTo].Text = monthlyLastDay.ToString("00");
+                m_DspControl[(int)DspCtrlName.ConstructionDayTo].Text = m_LastDays.ToString("00");
 
-                DataGridView dgv = dgvAllDisplay;
                 
-                dgv.Rows.Clear();
-
                 string strSQL = "SELECT AX.DT, TO_CHAR(C.HOLIDAY,'YYYY/MM/DD'), D.CONSTRUCTIONCODE, E.DETAILSTRING, D.OVERTIMEHOURS, D.WORKINGCOMMENT FROM";
                 strSQL += " (SELECT TO_CHAR((st+ROWNUM-1), 'YYYY/MM/DD') DT";
                 strSQL += " FROM SYS.ALL_CATALOG A,";
                 strSQL += string.Format(" (SELECT TO_DATE('{0}','yyyymmdd') st,", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + "01"));
-                strSQL += string.Format(" TO_DATE('{0}','yyyymmdd') ed FROM SYS.DUAL) B", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + monthlyLastDay.ToString("00")));
+                strSQL += string.Format(" TO_DATE('{0}','yyyymmdd') ed FROM SYS.DUAL) B", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + m_LastDays.ToString("00")));
                 strSQL += " WHERE ROWNUM <= (ed - st + 1)) AX";
                 strSQL += " LEFT JOIN HOLIDAYCALENDERMASTER C ON C.HOLIDAY = AX.DT";
-                strSQL += " LEFT JOIN ATTENDANCEDATA D ON D.ATTENDANCEDATE = AX.DT";
+                strSQL += string.Format(" LEFT JOIN ATTENDANCEDAILYDATA D ON  D.PERSONCODE = {0} AND D.ATTENDANCEDATE = AX.DT", PersonCode);
                 strSQL += " LEFT JOIN CONSTRUCTIONBASEINFODETAIL E ON E.CONSTRUCTIONCODE = D.CONSTRUCTIONCODE";
                 strSQL += string.Format(" AND E.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
                 strSQL += " ORDER BY AX.DT, D.SEQNO";
@@ -185,9 +210,11 @@
                 ArrayList arList = new ArrayList();
                 if (!calDB.ExecuteReader(strSQL, ref arList)) return;
                 DateTime DispDate = DateTime.Now;
+                DateTime BreakDate = DateTime.MinValue;
                 string strHoliday = string.Empty;
                 string strConstrName = string.Empty;
-                int AttendamceCnt = 0;
+                string strDispDay = string.Empty;
+                string strWeek = string.Empty;
                 // 日付の表示
                 foreach (object[] CurRec in arList)
                 {
@@ -195,10 +222,21 @@
                     strHoliday = string.Empty;
                     strHoliday = CommonMotions.cnvString(CurRec[1]);
                     strConstrName = CommonMotions.cnvString(CurRec[3]);
+                    strDispDay = string.Format("{0}日", DispDate.Day.ToString());
+                    strWeek = DispDate.ToString("dddd");
 
-                    int AddRow = dgv.Rows.Add(string.Format("{0}日", DispDate.Day.ToString()),
-                                                DispDate.Day,
-                                                DispDate.ToString("dddd"),
+                    if (DispDate == BreakDate)
+                    {
+                        strDispDay = string.Empty;
+                        strWeek = string.Empty;
+                    }
+                    else
+                    {
+                        BreakDate = DispDate;
+                    }
+                    int AddRow = dgv.Rows.Add(strDispDay,
+                                                DispDate.ToShortDateString(),
+                                                strWeek,
                                                 CommonMotions.cnvInt(CurRec[2]),
                                                 strConstrName,
                                                 CommonMotions.cnvDouble(CurRec[4]).ToString("#.#"),
@@ -208,14 +246,14 @@
                     // 休日のチェック
                     if (strHoliday.Length != 0)
                     {
-                        dgv.Rows[AddRow].Cells[(int)GridColumn.DispDay].Style.ForeColor = Color.Red;
-                        dgv.Rows[AddRow].Cells[(int)GridColumn.WeekString].Style.ForeColor = Color.Red;
+                        dgv.Rows[AddRow].Cells[(int)GridColumn01.DispDay].Style.ForeColor = Color.Red;
+                        dgv.Rows[AddRow].Cells[(int)GridColumn01.WeekString].Style.ForeColor = Color.Red;
+                        m_HolidayCount++;
                         continue;
                     }
-                    if (strConstrName.Length != 0) AttendamceCnt++;
                 }
                 // 出勤日数
-                m_DspControl[(int)DspCtrlName.WorkingDays].Text = AttendamceCnt.ToString("#");
+                SetWorkDaysAndOverTimes();
             }
             catch (Exception ex)
             {
@@ -223,11 +261,131 @@
             }
             finally
             {
+                if (dgvAllDisplay.RowCount == 0) dgvAllDisplay.RowCount += (18 - dgvAllDisplay.RowCount);
                 calDB.close(); calDB = null;
             }
         }
         #endregion
 
+        #region 交通費データ表示
+        /// <summary>
+        /// 交通費データ表示
+        /// </summary>
+        /// <returns></returns>
+        private void InitDispData02()
+        {
+            IOMHolidayCalender calDB = new IOMHolidayCalender();
+            try
+            {
+                dgvTransport01.Rows.Clear();
+                dgvTransport02.Rows.Clear();
+                dgvTransport01.ReadOnly = true;
+                dgvTransport02.ReadOnly = true;
+
+                // 選択年月を取得する
+                string strSelDate = CommonMotions.cnvString(comboBox1.SelectedValue);
+                DateTime WorktDate = CommonMotions.cnvDate((strSelDate + "/1"));
+
+                // 担当者を取得する
+                int PersonCode = GetConstructionPersonCode();
+                if (PersonCode == 0) return;
+
+                dgvTransport01.ReadOnly = false;
+                dgvTransport02.ReadOnly = false;
+
+                m_HolidayCount = 0;
+                // 月の最終日を求める
+                m_LastDays = DateTime.DaysInMonth(WorktDate.Year, WorktDate.Month);
+
+                // 開始日・終了日のセット
+                m_DspControl[(int)DspCtrlName.ConstructionDayFrom].Text = "1";
+                m_DspControl[(int)DspCtrlName.ConstructionDayTo].Text = m_LastDays.ToString("00");
+
+                string strSQL = "SELECT AX.DT,";                        // 0
+                strSQL += " TO_CHAR(C.HOLIDAY,'YYYY/MM/DD'),";          // 1
+                strSQL += " D.StartDistance,";                          // 2
+                strSQL += " D.ComplateDistance,";                       // 3
+                strSQL += " D.TotalDistance,";                          // 4
+                strSQL += " D.OfficeGoFlg,";                            // 5
+                strSQL += " D.OfficeOutFlg,";                           // 6
+                strSQL += " D.TrancePayGoFlg,";                         // 7
+                strSQL += " D.TrancePayOutFlg,";                        // 8
+                strSQL += " D.WareHouseFlg";                            // 9
+                strSQL += " FROM";
+                strSQL += " (SELECT TO_CHAR((st+ROWNUM-1), 'YYYY/MM/DD') DT";
+                strSQL += " FROM SYS.ALL_CATALOG A,";
+                strSQL += string.Format(" (SELECT TO_DATE('{0}','yyyymmdd') st,", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + "01"));
+                strSQL += string.Format(" TO_DATE('{0}','yyyymmdd') ed FROM SYS.DUAL) B", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + m_LastDays.ToString("00")));
+                strSQL += " WHERE ROWNUM <= (ed - st + 1)) AX";
+                strSQL += " LEFT JOIN HOLIDAYCALENDERMASTER C ON C.HOLIDAY = AX.DT";
+                strSQL += string.Format(" LEFT JOIN TRANCEPORTDAILYDATA D ON  D.PERSONCODE = {0} AND D.ATTENDANCEDATE = AX.DT", PersonCode);
+                strSQL += " ORDER BY AX.DT";
+
+                ArrayList arList = new ArrayList();
+                if (!calDB.ExecuteReader(strSQL, ref arList)) return;
+                DateTime DispDate = DateTime.Now;
+                string strDispDay = string.Empty;
+                string strHoliday = string.Empty;
+                int AddRow = 0;
+                DataGridView dgv = dgvTransport01;
+                bool[] bArrary = new bool[5];
+
+                // 日付の表示
+                foreach (object[] CurRec in arList)
+                {
+                    DispDate = CommonMotions.cnvDate(CurRec[0]);
+                    strDispDay = string.Format("{0}日", DispDate.Day.ToString());
+                    strHoliday = string.Empty;
+                    strHoliday = CommonMotions.cnvString(CurRec[1]);
+                    Array.Clear(bArrary, 0, 5);
+                    if (CommonMotions.cnvInt(CurRec[5]) == 1) bArrary[0] = true;
+                    if (CommonMotions.cnvInt(CurRec[6]) == 1) bArrary[1] = true;
+                    if (CommonMotions.cnvInt(CurRec[7]) == 1) bArrary[2] = true;
+                    if (CommonMotions.cnvInt(CurRec[8]) == 1) bArrary[3] = true;
+                    if (CommonMotions.cnvInt(CurRec[9]) == 1) bArrary[4] = true;
+
+                    if (DispDate.Day < 21) dgv = dgvTransport01;
+                    else dgv = dgvTransport02;
+
+                    AddRow = dgv.Rows.Add(strDispDay,
+                                                DispDate.ToShortDateString(),
+                                                CommonMotions.cnvDouble(CurRec[2]).ToString("#,0.0"),
+                                                CommonMotions.cnvDouble(CurRec[3]).ToString("#,0.0"),
+                                                CommonMotions.cnvDouble(CurRec[4]).ToString("#,0.0"),
+                                                bArrary[0],
+                                                bArrary[1],
+                                                bArrary[2],
+                                                bArrary[3],
+                                                bArrary[4]);
+                    // 休日のチェック
+                    if (strHoliday.Length != 0)
+                    {
+                        DataGridViewRow CurRow = dgv.Rows[AddRow];
+
+                        foreach (DataGridViewCell CurCell in CurRow.Cells)
+                        {
+                            CurCell.Style.BackColor = Color.PeachPuff;
+                        }
+                        m_HolidayCount++;
+                        continue;
+                    }
+                }
+                // 距離・回数計算
+                SetDistanceAndcount();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                calDB.close(); calDB = null;
+                if (dgvTransport01.RowCount < 20) dgvTransport01.RowCount += (20 - dgvTransport01.RowCount);
+                if (dgvTransport02.RowCount < 11) dgvTransport02.RowCount += (11 - dgvTransport02.RowCount);
+            }
+        }
+        #endregion
+
         #region 参照モード
         /// <summary>
         /// 参照モードにして各コントロールへロックをかける
@@ -237,6 +395,8 @@
             try
             {
                 dgvAllDisplay.ReadOnly = true;
+                dgvTransport01.ReadOnly = true;
+                dgvTransport02.ReadOnly = true;
                 
                 // 最後にボタンの処理を行う
                 btnDataEntry.Visible = false;
@@ -266,7 +426,7 @@
                 DataGridViewRow CurRow = dgv.CurrentRow;
 
                 // 対象日付取得
-                int TargetDay = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.Day].Value);
+                string TargetDay = CommonMotions.cnvString(CurRow.Cells[(int)GridColumn01.AttendanceDate].Value);
 
                 int InsertCnt = CurRow.Index + 1;
                 // 選択行が不正ならば処理しない
@@ -276,7 +436,7 @@
                 DataGridViewAction.CreateNewLine(dgv, ref InsertCnt);
 
                 // 日付セット
-                dgv.Rows[InsertCnt].Cells[(int)GridColumn.Day].Value = TargetDay;
+                dgv.Rows[InsertCnt].Cells[(int)GridColumn01.AttendanceDate].Value = TargetDay;
 
                 // データ変更フラグON
                 m_bChengeAns = true;
@@ -307,10 +467,9 @@
                 int RemoveCnt = CurRow.Index;
 
                 // 選択行が不正ならば処理しない
-                if (RemoveCnt == 0) return;
+                if (RemoveCnt < 0) return;
 
-                // 日付が1日だけの場合は削除できない
-                int CurDay = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.Day].Value);
+                DateTime CurDay = CommonMotions.cnvDate(CurRow.Cells[(int)GridColumn01.AttendanceDate].Value);
                 
                 if (MessageBox.Show("カレント行を削除します、よろしいですか？", "行削除確認"
                         , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return;
@@ -317,8 +476,8 @@
 
 
                 int sameCount = 0;
-                if ((RemoveCnt >= 0) && CurDay == CommonMotions.cnvInt(dgv.Rows[(RemoveCnt - 1)].Cells[(int)GridColumn.Day].Value)) sameCount++;
-                if ((RemoveCnt <= (dgv.RowCount - 1)) && CurDay == CommonMotions.cnvInt(dgv.Rows[(RemoveCnt + 1)].Cells[(int)GridColumn.Day].Value)) sameCount++;
+                if ((RemoveCnt > 0) && CurDay == CommonMotions.cnvDate(dgv.Rows[(RemoveCnt - 1)].Cells[(int)GridColumn01.AttendanceDate].Value)) sameCount++;
+                if ((RemoveCnt < (dgv.RowCount - 1)) && CurDay == CommonMotions.cnvDate(dgv.Rows[(RemoveCnt + 1)].Cells[(int)GridColumn01.AttendanceDate].Value)) sameCount++;
 
                 // 日付が1日だけの場合は行削除できない
                 if (sameCount == 0)
@@ -326,9 +485,9 @@
                     foreach (DataGridViewCell wrkcell in CurRow.Cells)
                     {
                         // 日付はクリアしない
-                        if (wrkcell.ColumnIndex == (int)GridColumn.DispDay) continue;
-                        if (wrkcell.ColumnIndex == (int)GridColumn.Day) continue;
-                        if (wrkcell.ColumnIndex == (int)GridColumn.WeekString) continue;
+                        if (wrkcell.ColumnIndex == (int)GridColumn01.DispDay) continue;
+                        if (wrkcell.ColumnIndex == (int)GridColumn01.AttendanceDate) continue;
+                        if (wrkcell.ColumnIndex == (int)GridColumn01.WeekString) continue;
                         // クリア
                         wrkcell.Value = "";
                     }
@@ -336,16 +495,16 @@
                 else
                 {
                     // 日付表示行は表示日付を下の行に移す
-                    Color DayColor = dgv.Rows[RemoveCnt].Cells[(int)GridColumn.DispDay].Style.ForeColor;
-                    Color WeekColor = dgv.Rows[RemoveCnt].Cells[(int)GridColumn.WeekString].Style.ForeColor;
-                    string strDispDay = CommonMotions.cnvString(dgv.Rows[RemoveCnt].Cells[(int)GridColumn.DispDay].Value);
-                    string strWeek = CommonMotions.cnvString(dgv.Rows[RemoveCnt].Cells[(int)GridColumn.WeekString].Value);
+                    Color DayColor = dgv.Rows[RemoveCnt].Cells[(int)GridColumn01.DispDay].Style.ForeColor;
+                    Color WeekColor = dgv.Rows[RemoveCnt].Cells[(int)GridColumn01.WeekString].Style.ForeColor;
+                    string strDispDay = CommonMotions.cnvString(dgv.Rows[RemoveCnt].Cells[(int)GridColumn01.DispDay].Value);
+                    string strWeek = CommonMotions.cnvString(dgv.Rows[RemoveCnt].Cells[(int)GridColumn01.WeekString].Value);
                     if (strDispDay.Length != 0)
                     {
-                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn.DispDay].Value = strDispDay;
-                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn.WeekString].Value = strWeek;
-                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn.DispDay].Style.ForeColor = DayColor;
-                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn.WeekString].Style.ForeColor = WeekColor;
+                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn01.DispDay].Value = strDispDay;
+                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn01.WeekString].Value = strWeek;
+                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn01.DispDay].Style.ForeColor = DayColor;
+                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn01.WeekString].Style.ForeColor = WeekColor;
                     }
 
                     // 行削除
@@ -367,6 +526,24 @@
         }
         #endregion
 
+        #region 初期時にログイン担当者をセットする
+        /// <summary>
+        /// 初期時にログイン担当者をセットする
+        /// </summary>
+        private void InitDepPersonCode()
+        {
+            try
+            {
+                cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 対象年度のセット
         /// <summary>
         /// 対象年度のセット
@@ -376,8 +553,10 @@
             IOCostDataOfPerson CostDB = new IOCostDataOfPerson();
             try
             {
+                comboBox1.DataSource = null;
+
                 // 存在月を出勤データより取得する
-                string strSQL = "SELECT TO_CHAR(ATTENDANCEDATE,'YYYY/MM'), COUNT(*) FROM ATTENDANCEDATA GROUP BY TO_CHAR(ATTENDANCEDATE,'YYYY/MM') ORDER BY 1";
+                string strSQL = "SELECT TO_CHAR(ATTENDANCEDATE,'YYYY/MM'), COUNT(*) FROM ATTENDANCEDAILYDATA GROUP BY TO_CHAR(ATTENDANCEDATE,'YYYY/MM') ORDER BY 1";
                 ArrayList arList = new ArrayList();
                 CostDB.ExecuteReader(strSQL, ref arList);
 
@@ -485,6 +664,28 @@
         }
         #endregion
 
+        #region 部署コンボより担当者コードを取得する
+        /// <summary>
+        /// 部署コンボより担当者コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetDepartmentCode()
+        {
+            try
+            {
+                // 表示されていない場合は選択無
+                //if (!cmbDepartment.Visible) return 0;
+
+                return CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
         #region 担当者コンボより担当者コードを取得する
         /// <summary>
         /// 担当者コンボより担当者コードを取得する
@@ -589,7 +790,6 @@
             m_bInitFlg = true;
             try
             {
-
                 cmbDepartment.DataSource = null;
                 cmbDepartment.Items.Clear();
                 cmbDepartment.Text = "";
@@ -600,31 +800,13 @@
                 strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B, CONSTRUCTIONBASEINFO C";
                 strSQL += " WHERE A.DELETEFLG = 0";
 
-                // 新セキュリティデータ対応済みかを確認する
-                //if (CommonMotions.LoginUserData.SecCode == 0)
-                //{
-                //    // システム権限によってデータアクセスに制限がある
-                //    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key
-                //        || CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                //    {
-                //        // 所属長
-                //        // 一般使用者（自分のみアクセス可能）
-                //        strSQL += string.Format(" AND A.DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
-                //    }
-                //}
-                //else
-                //{
-                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
-                    {
+                if (CommonMotions.LoginUserData.PersonCode != CommonDefine.AdminCode)
+                {
+                    // 参照部署マスタより取得する
+                    strSQL += " AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1";
+                    strSQL += string.Format(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                }
 
-                    }
-                    else
-                    {
-                        // 参照部署マスタより取得する
-                        strSQL += " AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1";
-                        strSQL += string.Format(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
-                    }
-                //}
                 strSQL += " AND A.DEPARTMENTCODE = B.DEPARTMENTCODE";
                 strSQL += " AND B.PERSONCODE = C.CONSTRUCTIONPERSONCODE";
                 strSQL += " GROUP BY A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER";
@@ -648,17 +830,6 @@
                 // コンボボックス初期表示
                 ComboBoxAction.InitDataSetCombBox(cmbDepartment, ConstructionDataList);
 
-                //// 新セキュリティデータ対応済みかを確認する
-                //if (CommonMotions.LoginUserData.SecCode == 0)
-                //{
-                //    // 所属長
-                //    // 一般使用者（自分のみアクセス可能）
-                //    if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                //    {
-                //        cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
-                //    }
-                //}
-
                 return true;
             }
             catch (Exception ex)
@@ -674,6 +845,104 @@
         }
         #endregion
 
+        #region 担当者コンボボックスデータセット
+        /// <summary>
+        /// 担当者コンボボックスへ文字をセットする
+        /// </summary>
+        private void SetcombBoxPerson()
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            bool bSave = m_bInitFlg;
+            m_bInitFlg = true;
+            try
+            {
+                cmbConstructionPerson.DataSource = null;
+                cmbConstructionPerson.Items.Clear();
+                cmbConstructionPerson.Text = "";
+
+                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>();
+                string strSQL = string.Empty;
+                int DepartmentCode = GetDepartmentCode();
+                if (DepartmentCode == 0)
+                    strSQL = " WHERE DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC";
+                else
+                    strSQL = string.Format(" WHERE DEPARTMENTCODE = {0} AND DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC", DepartmentCode);
+
+                // 担当者マスタ読込
+                if (!picDB.SelectAction(strSQL, ref workList)) return;
+
+                List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
+                ConstructionDataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (PersonInChargeMaster work in workList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(work.PersonCode, work.PersonName);
+
+                    ConstructionDataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, ConstructionDataList);
+
+                return;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+                m_bInitFlg = bSave;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボボックスセット時部署をセットする
+        /// <summary>
+        /// 担当者コンボボックスセット時部署をセットする
+        /// </summary>
+        /// <returns></returns>
+        private bool SetPerosonToDepartment()
+        {
+            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
+            try
+            {
+                // コンボボックスより選択担当者を取得する
+                int PersonCode = GetConstructionPersonCode();
+                if (PersonCode < 1) return false;
+
+                int DepartmentCode = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+
+                string strSQL = PersonDB.CreatePrimarykeyString(PersonCode);
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                PersonDB.SelectAction(strSQL, ref PersonRec);
+
+                // 部署コンボボックスへ部署コードセット
+                if (PersonRec.DepartmentCode > 0 && DepartmentCode != PersonRec.DepartmentCode)
+                {
+                    bool bSave = m_bInitFlg;
+                    m_bInitFlg = true;
+                    cmbDepartment.SelectedValue = PersonRec.DepartmentCode;
+                    SetcombBoxPerson();    // 担当者コンボボックス変更
+                    cmbConstructionPerson.SelectedValue = PersonCode;
+                    m_bInitFlg = bSave;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                PersonDB.close(); PersonDB = null;
+            }
+        }
+        #endregion
+
         #region 部署コンボボックスに対象があるかをチェックする
         /// <summary>
         /// 部署コンボボックスに対象があるかをチェックする
